## mixxx 2.5.1+dfsg

=== debian/changelog ===
mixxx (2.5.1+dfsg-0.1~mx23+1) mx; urgency=medium

  * New upstream version 2.5.1+dfsg
  * Refresh 0002-desktop_file.patch and 0005-disable_soundproxy_test.patch
  * Must build against libdjinterop-dev 0.24.3

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 May 2025 13:45:36 -0700

mixxx (2.5.0+dfsg-3~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore libtag1-dev as alternative BD.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 19 Jan 2025 03:31:50 -0800
