=== debian/control ===
Source: mixxx
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Paul Brossier <piem@debian.org>,
           Free Ekanayaka <freee@debian.org>,
           Dennis Braun <snd@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               docbook-to-man,
               gir1.2-rsvg-2.0,
               googletest,
               libasound2-dev [linux-any],
               libavcodec-dev,
               libavformat-dev,
               libbenchmark-dev,
               libchromaprint-dev,
               libdjinterop-dev (<< 0.24.4~),
               libdjinterop-dev (>= 0.24.3~),
               libebur128-dev,
               libexpat-dev,
               libfaad-dev,
               libfftw3-dev,
               libflac-dev,
               libgl-dev,
               libgles2-mesa-dev [armel armhf],
               libglu1-mesa-dev,
               libgmock-dev,
               libgtest-dev,
               libhidapi-dev,
               libid3tag0-dev,
               libjack-dev | libjack-jackd2-dev,
               liblilv-dev,
               libmad0-dev,
               libmodplug-dev,
               libmp3lame-dev,
               libmsgsl-dev,
               libogg-dev,
               libopus-dev,
               libopusfile-dev,
               libportmidi-dev [linux-any],
               libprotobuf-dev,
               libqt6core5compat6-dev,
               libqt6opengl6-dev,
               libqt6sql6-sqlite,
               libqt6svg6-dev,
               librubberband-dev,
               libshout-idjc-dev,
               libsndfile1-dev,
               libsoundtouch-dev,
               libsqlite3-dev,
               libssl-dev,
               libtag-dev | libtag1-dev,
               libupower-glib-dev,
               libusb-1.0-0-dev,
               libvorbis-dev,
               libwavpack-dev,
               pkgconf,
               portaudio19-dev,
               protobuf-compiler,
               qml6-module-qt-labs-qmlmodels,
               qml6-module-qt5compat-graphicaleffects,
               qml6-module-qtqml-workerscript,
               qml6-module-qtquick-controls,
               qml6-module-qtquick-layouts,
               qml6-module-qtquick-nativestyle,
               qml6-module-qtquick-shapes,
               qml6-module-qtquick-templates,
               qml6-module-qtquick-window,
               qt6-base-private-dev,
               qt6-declarative-private-dev,
               qt6-qpa-plugins,
               qt6-shadertools-dev,
               qtkeychain-qt6-dev,
               vamp-plugin-sdk,
               xvfb
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
Homepage: https://www.mixxx.org/

Package: mixxx
Architecture: linux-any
Depends: libqt6sql6-sqlite,
         mixxx-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: pdf-viewer
Description: Digital Disc Jockey Interface
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.

Package: mixxx-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Digital Disc Jockey Interface -- data files
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.
 .
 This package provides images and skin configuration files required for mixxx.
