=== debian/changelog ===
mixxx (2.5.2+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Follow upstream to recommend qt6-translations-l10n.
  * debian/control: Update libdjinterop requirement.
  * debian/patches: Refresh patches.
  * debian/rules: Disable parallel build trying to fix issues with
    dh_auto_test.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Aug 2025 18:44:49 -0400
