=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_OPTS)
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	docbook-to-man debian/mixxx.sgml > mixxx.1
+
+override_dh_auto_test:
+	dh_auto_test --no-parallel
 
 override_dh_auto_clean:
 	rm -rf cache/ linux_build/
@@ -34,8 +36,3 @@
 		-o -name LICENSE -o -name README \) -exec rm -f {} \;
 	find $(CURDIR)/debian/tmp -name '*.js' -exec chmod -x {} \;
 	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
