=== debian/changelog ===
mixxx (2.5.3+dfsg-5) unstable; urgency=medium

  * Team upload
  * Disable the bench build option when nocheck profile is used
    (Closes: #1116788) (LP: #2125431)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 30 Sep 2025 12:55:54 -0400

mixxx (2.5.3+dfsg-4) unstable; urgency=high

  * Team upload
  * Disable benchmarking on riscv64 to avoid build failure in Ubuntu
    (LP: #2125431)

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Tue, 23 Sep 2025 13:06:39 +0200

mixxx (2.5.3+dfsg-2) unstable; urgency=high

  * Team upload
  * Remove superfluous build-dep on qml6-module-qtquick-nativestyle

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 22 Sep 2025 13:55:17 -0400

mixxx (2.5.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.3+dfsg
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Fri, 19 Sep 2025 13:33:47 +0200

mixxx (2.5.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Aug 2025 11:08:20 -0400
