## mixxx 2.5.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -222,7 +222,7 @@
   endif()
 endif()
 
-project(mixxx VERSION 2.5.2)
+project(mixxx VERSION 2.5.3)
 enable_language(C CXX)
 # Work around missing version suffixes support https://gitlab.kitware.com/cmake/cmake/-/issues/16716
 set(MIXXX_VERSION_PRERELEASE "") # set to "alpha" "beta" or ""
