=== debian/changelog ===
mixxx (2.5.3+dfsg-5build1) resolute; urgency=medium

  * No-change rebuild for libportmidi2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 22:01:28 +0000
