=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 export QT_SELECT=6
 
 CMAKE_OPTS = -DCMAKE_BUILD_TYPE=Release \
+		-DBUILD_BENCH=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON) \
 		-DINSTALL_USER_UDEV_RULES=OFF \
 		-DKEYFINDER=OFF
