=== debian/changelog ===
mixxx (2.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.4+dfsg
  * Refresh patchset
  * Bump Standards-Version to 4.7.3
  * Remove redudant rules-requires-root-no field
  * Do not build with libdjinterop, since the package is orphaned
    See #1121985

 -- Dennis Braun <snd@debian.org>  Tue, 30 Dec 2025 15:10:52 +0100
