=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 CMAKE_OPTS = -DCMAKE_BUILD_TYPE=Release \
 		-DBUILD_BENCH=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON) \
+		-DENGINEPRIME=OFF \
 		-DINSTALL_USER_UDEV_RULES=OFF \
 		-DKEYFINDER=OFF
